﻿@using Microsoft.AspNetCore.Mvc.Localization
@model AEWeb.ViewModels.DataWarehouse.CountryStatsDataWarehouseListViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "Country Stas";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>


<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <form class="ibox-title" asp-action="Search">
                    From:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateFrom")
                                    .Value(Model.DateFrom == null ? DateTime.Now : Model.DateFrom)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date From" })
                            )
                    &nbsp;
                    &nbsp;
                    &nbsp;
                    To:
                    @(Html.Kendo().DatePicker()
                                    .Name("DateTo")
                                    .Value(Model.DateTo == null ? DateTime.Now : Model.DateTo)
                                    .HtmlAttributes(new { style = "width: 150px", title = "Date To" })
                            )
                    &nbsp;
                    <input type="submit" class="btn btn-default btn-sm" value="Search" />
                </form>
                <div class="ibox-content">
                    <div class="container-fluid">

                        @if (Model.CountryStatsList.Count > 0)
                        {
                            <div class="row mb-2">
                                <div class="col-md-6 col-xs-12 pt-2">
                                    <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                         aria-live="polite">
                                        @{ @Model.MessageNumberEntries }
                                    </div>
                                </div>
                            </div>
                        }
                        <div class="row">
                            <div class="col">

                                <table class="table table-striped table-bordered table-hover dataTables-example">
                                    <thead>
                                        <tr>

                                            <th>
                                                @Html.DisplayNameFor(model => model.CountryStatsList[0].CountryStatsID)
                                            </th>

                                            <th>
                                                @Html.DisplayNameFor(model => model.CountryStatsList[0].StatsDate)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.CountryStatsList[0].GdpPerCapitaAtDate)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.CountryStatsList[0].NominalGdpAtDate)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.CountryStatsList[0].PopulationAtDate)
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model.CountryStatsList.Count > 0)
                                        {
                                            foreach (var item in Model.CountryStatsList)
                                            {
                                                <tr>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.CountryStatsID)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.StatsDate)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.GdpPerCapitaAtDate)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.NominalGdpAtDate)
                                                    </td>
                                                    <td>
                                                        @Html.DisplayFor(modelItem => item.PopulationAtDate)
                                                    </td>
                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr>
                                                <td colspan="5" class="text-center">
                                                    No records found
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>

                                @{
                                    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
                                    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
                                }

                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber - 1)"
                                   asp-route-dateFrom="@(Model.DateFrom)"
                                   asp-route-dateTo="@(Model.DateTo)"
                                   class="btn btn-default @prevDisabled">
                                    Previous
                                </a>
                                <a asp-action="Index"
                                   asp-route-pageNumber="@(Model.PageNumber + 1)"
                                   asp-route-dateFrom="@(Model.DateFrom)"
                                   asp-route-dateTo="@(Model.DateTo)"
                                   class="btn btn-default @nextDisabled">
                                    Next
                                </a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>